跳到正文

database_api.list_owner_histories ​

Purpose ​

返回所有者权限(owner authority)历史列表。参数:start:array、limit:int

start (array)limit (int)
["steemit", "1970-01-01T00:00:00"]10查询名为 "steemit" 的账户自 "1970-01-01T00:00:00" 起的所有者历史,限 10 条结果。
["alice", "1970-01-01T00:00:00"]10查询名为 "alice" 的账户的所有者历史,限 10 条结果。

另见:Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_owner_histories",
    "params": {
      "start": [
        "steemit",
        "1970-01-01T00:00:00"
      ],
      "limit": 10
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_owner_histories",
    "params": {
      "start": [
        "alice",
        "1970-01-01T00:00:00"
      ],
      "limit": 10
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "owner_auths": [
    {
      "id": 129742,
      "account": "a-m",
      "previous_owner_authority": {
        "weight_threshold": 1,
        "account_auths": [],
        "key_auths": [
          [
            "STM7J6gXoztfTscNzmzL11DFtTPCFCTeZzsFtFxsQrQw91KnN1YxQ",
            1
          ]
        ]
      },
      "last_valid_time": "2018-11-24T02:35:27"
    }
  ]
}